> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Send change events to the PagerDuty Events API

`POST https://events.pagerduty.com/v2/change/enqueue`

Change Events API enables you to send informational events about recent changes such as code deploys and system config changes from any system that can make an outbound HTTP connection.
These events do not create incidents and do not send notifications; they are shown in context with incidents on the same PagerDuty service.

## Request body (`application/json`) — required

| Field | Type | Required | Description |
|---|---|---|---|
| `payload` | object | yes | Fields adding additional context about the location, impact, and character of the PagerDuty event. |
| `payload.summary` | string | yes | A brief text summary of the event, used to generate the summaries/titles of any associated alerts. |
| `payload.timestamp` | string (date-time) |  | The time at which the emitting tool detected or generated the event. |
| `payload.source` | string |  | The unique location of the affected system, preferably a hostname or FQDN. |
| `payload.custom_details` | object |  | Additional details about the event and affected system. |
| `routing_key` | string | yes | The GUID of one of your Events API V2 integrations. This is the "Integration Key" listed on the Events API V2 integration's detail page. |
| `links` | array of object |  | Links to be shown on the alert and/or corresponding incident. |
| `links[].href` | string (url) | yes | The link being attached to an incident or alert. |
| `links[].text` | string |  | Optional information pertaining to this context link. |
| `images` | array of object |  | Images to be displayed on the alert and/or corresponding incident. |
| `images[].src` | string (url) | yes | The source of the image being attached to the incident or alert. This image must be served via HTTPS. |
| `images[].href` | string (url) |  | Optional link for the image. |
| `images[].alt` | string |  | Optional alternative text for the image. |

Example: Build example Change Event Body

```json
{
  "routing_key": "737ea619db564d41bd9824063e1f6b08",
  "payload": {
    "summary": "Build Success: Increase snapshot create timeout to 30 seconds",
    "timestamp": "2015-07-17T08:42:58.315+0000",
    "source": "prod-build-agent-i-0b148d1040d565540",
    "custom_details": {
      "build_state": "passed",
      "build_number": "220",
      "run_time": "1236s"
    }
  },
  "links": [
    {
      "href": "https://buildpipeline.com/pagerduty/deployment/builds/220",
      "text": "View in Build Pipeline"
    }
  ],
  "images": [
    {
      "src": "https://chart.googleapis.com/chart?chs=600x400&chd=t:6,2,9,5,2,5,7,4,8,2,1&cht=lc&chds=a&chxt=y&chm=D,0033FF,0,0,5,1",
      "href": "https://google.com",
      "alt": "An example link with an image"
    }
  ]
}
```

Example: Commited example Change Event Body

```json
{
  "routing_key": "737ea619db564d41bd9824063e1f8au1",
  "payload": {
    "summary": "Merge Pull Request",
    "timestamp": "2015-07-17T08:42:58.315+0000",
    "source": "git",
    "custom_details": {
      "author": "Pagerduty"
    }
  },
  "links": [
    {
      "href": "https://buildpipeline.com/pagerduty/deployment/builds/220",
      "text": "View in Build Pipeline"
    }
  ]
}
```

## Response 202

An alert has been created or updated.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `status` | string | yes | Returns "success" if successful, or a short error message in case of a failure. |
| `dedup_key` | string |  | The key used to correlate triggers, acknowledges, and resolves for the same alert. |
| `message` | string |  | A description of the problem, or "Event processed" if successful. |

Example: Example Success Response

```json
{
  "status": "success",
  "message": "Event processed",
  "dedup_key": "srv01/HTTP"
}
```

## Response 400

#/components/responses/ArgumentError

## Response 429

#/components/responses/TooManyRequests

## Response 5XX

An error occurred on a request.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `status` | string | yes | A short name for the error. |
| `message` | string | yes | A description of the problem. |
| `errors` | array of string |  | An array of specific error messages. |

Example: Example Error Response

```json
{
  "status": "Unrecognized object",
  "message": "Event object format is unrecognized",
  "errors": [
    "JSON parse error"
  ]
}
```

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
